### Method

# AppStream AgreementSection set_name

since: 0.12.1

#### Declaration [src]

    void
    as_agreement_section_set_name (
      AsAgreementSection* agreement_section,
      const gchar* name,
      const gchar* locale
    )

#### Description [src]

Sets the agreement section name.

Available since: 0.12.1

#### Parameters

`name`

  Type: `const gchar*`

  The agreement name, e.g. “GDPR”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`locale`

  Type: `const gchar*`

  The locale. e.g. “en_GB”.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.